Subject: IPP> Sending html in e-mail

From: Raymond Lutz <[email-masked]>
Date: Sat, 14 Dec 1996 17:34:33 -0800

I am cross posting to the ietf-ipp and ietf-fax groups since this seems to
affect both. We talked in the ipp meeting about a MIME type for internet
printing. It seems a working group has already been working on MIME
encapsulation of HTML for transport using email (see below).
My observations are:
- The ipp group still needs to define an object that can be handled by MIME
which can specify the sort of hard-copy output "hints" which may or may not
be utilized by the receiving device. Such "hints" include paper-size,
double vs. single-sided, etc. which reflect how the designer of the
document provides as the preferred output embodiment. Of course, this has
little bearing on HTML files, at least today. I imagine that the ipp group
may want to look at this to see if there is some way to cause a mapping of
HTML to a specific hardcopy realization.
- The fax group should consider this format to be one of the minimum
standard types that a fax gateway will support.

regards,
Raymond Lutz 

>Return-Path: <[email-masked]>
>Date: Thu, 12 Dec 1996 16:09:33 +0100 (MET)
>Sender:[email-masked]
>From: Jacob Palme <[email-masked]>
>To: IETF working group on HTML in e-mail <[email-masked]>
>Subject: Sending html in e-mail
>Source-Info:  From (or Sender) name not authenticated.
>
>The IETF working group on sending html in e-mail (mhtml) is now
>ready with its proposed standard, we are only waiting for
>approval by the IESG.
>
>Short summary of the new standard:
>
>The proposed standard will consist of three parts:
>
>MIME E-mail Encapsulation of Aggregate HTML Documents (MHTML)
>by Jacob Palme and Alexander Hopmann.
>
>The MIME Multipart/Related Content-type by Ed Levinson.
>
>Content-ID and Message-ID Uniform Resource Locators by Ed
>Levinson.
>
>All the documents are available for download from URL:
>http://www.dsv.su.se/~jpalme/ietf/jp-ietf-home.html
>The version in the IETF drafts directory of the first of the
>three documents is presently not quite up-to-date.
>
>The main idea of our proposed standard is that you send a HTML
>document, together with in-line graphics, applets, etc., and
>also other linked documents if you so wish, in a MIME
>multipart/related body part. Links in the HTML to other included
>parts can be provided by CID (Content-ID) URLs or by any other
>kind of URI, and the linked body part is identified in its
>heading by either a Content-ID (linked to by CID URLs) or a
>Content-Location (linked to by any other kind of URL. (In fact,
>the "Content-ID: foo@bar header" can be seen as a special case
>of the "Content-Location: CID: foo@bar header".)
>
>The Content-Location identifies a URI for a content part, the
>part need not be universally retrievable using this base.
>
>The Content-Base identifies a base URI for a content, or for all
>objects within it which do not have their own Content-Base.
>
>URIs in HTML-formatted messages and in Content-Location headers
>can be absolute and relative. If they are relative, and a
>Content-Base exists, they are to be converted to absolute URIs
>before matching with other body parts. If there is no
>Content-Base header, and no Content-Location containing absolute
>URIs, then exact matching of the relative URIs in the HTML and
>the Content-Location of the linked parts is performed instead.
>
>Future discussions on this should take place in the mhtml
>mailing list. I am cross-posting this message to the ietf list.
>
>------------------------------------------------------------------------
>Jacob Palme <[email-masked]> (Stockholm University and KTH)
>for more info see URL: http://www.dsv.su.se/~jpalme
>
>
>

/***********************************************************************
** Raymond Lutz                             Voice: 619-447-3246
** Director R & D, Cognisys, Inc.           Fax:   619-447-6872 
** MFPA EC Chair                            MFPA:  1-800-603-MFPA
** 1010 Old Chase Ave., Suite B             EMail: [email-masked]
** El Cajon (San Diego Co.), CA 92020 USA   
** WWW:   http://www.cognisys.com           http://www.mfpa.org
***********************************************************************/